function rb_compile_error_with_enc

void rb_compile_error_with_enc(const char *file, int line, void *enc, const char *fmt, ...)

この関数は Ruby 2.3.0 から deprecated です。公開関数ですが内部利用のみを想定しています。外部のライブラリで使用すべきではありません。